package org.eclipse.ecf.example.sc.actions;

import java.io.IOException;

import org.eclipse.ecf.core.util.ECFException;
import org.eclipse.ecf.datashare.IChannel;
import org.eclipse.ecf.example.sc.core.Activator;
import org.eclipse.ecf.example.sc.exception.ShareCodeException;
import org.eclipse.ecf.example.sc.message.SharedCodeMessage;
import org.eclipse.ecf.example.sc.util.GeneratorUUID;


public class RequestAction extends ShareCodeAction {
	
	
	/**
	 * 
	 * @param requestMessage
	 * @throws ShareCodeException
	 */
	public void execute(SharedCodeMessage requestMessage) throws ShareCodeException {
	
		
		IChannel channel = Activator.getDefault().getPresenceChannel();
		
		if(channel != null){		
			
			
			
			try {
				channel.sendMessage(requestMessage.toByteArray());
			} catch (ECFException e) {
//				 TODO Tratar LOG
				e.printStackTrace();
			} catch (IOException e) {				
//				 TODO Tratar LOG
				e.printStackTrace();
			}
		
		}else
			throw new ShareCodeException("You are not conneted.");
	}


}

